package main;

import ea.Game;

/**
 * Von hier wird alles initialisiert. Das ist die höchste Klasse.
 */
public class Main extends Game {
	
	public static Main instance;

	private World world;
	private HUD hud;

	public Main() {
		super(World.SCALE * 15, World.SCALE * 11);
		instance = this;

		// Welt initialisieren und Spieler hinzufügen
		world = new World();
		hud = new HUD();
		// die Welt zu EA hinzufügen
		wurzel.add(world);
		wurzel.add(hud);
	}

	@Override
	public void tasteReagieren(int code) {
	}

	public World getWorld() {
		return world;
	}
}
